Bug 427073 - VFS: kernel panic after successful installation of Fedora8 (no work around)
VFS: kernel panic after successful installation of Fedora8 (no work around)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-30 17:20 EST by Scott Griffin
Modified: 2009-01-09 00:39 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:39:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Griffin 2007-12-30 17:20:57 EST
Description of problem:
When installing Fedora8 the error of VFS: cannot open root device unkonwn-block(0,0)

Version-Release number of selected component (if applicable):
Fedora8

How reproducible:
Trying to perform a fresh install of Fedora8 on hardware that with no changes
that runs Fedora7 and RHEL5.1 client/server without any problems.

Steps to Reproduce:
1. Install Fedora8
2. Installation is successful
3. Reboot VFS: cannot open root device unknown-block(0,0)
  
Actual results:
Install goes successful until reboot.

Expected results:
Operating System should install on this hardware I know of several others who
are having this exact issue and kernel panics are common with Fedora8 upon
reboot after installation.

Additional info:
I have to either install Fedora7 or RHEL5.1 client/server because Fedora8 kernel
panics after a reboot.
Comment 1 Scott Griffin 2007-12-30 17:24:26 EST
Something in the kernel or the way Fedora8 reads the /etc/fstab causes it to
automatically kernel panic after installation. 

I have run Fedora going back to Red Hat 6.0 and never had kernel panics after a
successful installation. I have tried several work a rounds and they all fail.
What changed in the kernel or the way it is handled by the /etc/fstab for this
to occur. I have been only to install it on one older Dell Precision 340
workstation with success. Fedora is my favorite distro and I wonder if Fedora9
will be the same uninstallable as with Fedora8?

If you have any questions please contact me at grifs71@yahoo.com.

Thanks,
Scott Griffin
Comment 2 Scott Griffin 2007-12-30 17:27:23 EST
Another additional note I did notice that everything in /etc/fstab was in this
format:

LABEL=/boot and LABEL=/var ect because I create separate partitions for my file
system. Even using the default that creates a 100 meg /boot and logical volume
for the rest of the drive it still fails?
Comment 3 Scott Griffin 2008-01-02 09:52:52 EST
I have researched this error, and the only work a rounds found require the
kernel to be recompiled. I am trying to understand what changed in the Fedora7
kernel to Fedora8 to make it handle this differently. So far on 3 different
machines that ran Fedora7 without any errors or hardware changes Fedora8 will
not install and fails with this kernel panic.

Comment 4 Chuck Ebbert 2008-01-02 17:55:05 EST
(In reply to comment #3)
> I have researched this error, and the only work a rounds found require the
> kernel to be recompiled.

What workarounds are they?

> I am trying to understand what changed in the Fedora7
> kernel to Fedora8 to make it handle this differently. So far on 3 different
> machines that ran Fedora7 without any errors or hardware changes Fedora8 will
> not install and fails with this kernel panic.
> 

Fedora 7 2.6.23 kernel and Fedora 8 2.6.23 kernel are nearly identical.

> 

Comment 5 Scott Griffin 2008-01-02 18:16:11 EST
From what I have read it is a grub error and it was a Gentoo distro and the end
user recompiled the kernel.

I have tried to load it on the same machines that ran Fedora7 with no changes to
hardware or anything and it kernel panics after the fresh install (upon reboot).

I really want to run Fedora8 but I am not sure how to get it to pass the kernel
the parameters from grub to boot to even get to a operating machine. I know I
can boot off a disk (linux rescue), however all of the attempts in grub failed.
Other than a kernel recompile, (not sure how to perform) I will be stuck with
Fedora7. On my work machine I am running RHEL5.1 Server (work paid for), however
I need my home machines running Linux because I am a Linux Admin. 

If you search on google.com for that error it list what some users did as work a
rounds. I just do not see having to recompile the kernel to install the
operating system. Any help would be greatly appreciated, the only success I had
loading Fedora8 was on a Dell Precision 340 (older workstation) that was turned
over when another user got a new machine. 

Thanks for the reply,
Scott Griffin
:) 
Comment 6 Scott Griffin 2008-01-02 20:00:24 EST
Also, my hard-drive is the same one I was running Fedora7 on, it is a PATA
Seagate that had no issues with any other Fedora distro or RHEL release.

Something in the way it uses Labels or grub is reading it, I am performing a
fresh install wiping out any existing partitions. I have tried this several
times and I want to really get this loaded and running.
Comment 7 Chuck Ebbert 2008-01-04 19:32:48 EST
Do any of the workarounds make a difference?

https://fedoraproject.org/wiki/KernelCommonProblems

But the installer would have needed the same workaround just to get a successful
install...
Comment 8 Scott Griffin 2008-01-04 19:45:21 EST
How do I correct the boot parameter?
Comment 9 Scott Griffin 2008-01-04 19:47:54 EST
I can experiment with this setup, I believe I tried a few of them but had no
success.
Comment 10 Scott Griffin 2008-01-05 17:20:30 EST
After the successful install, when it reboots is when this kernel panic occurs
the loading kernel has not successful loaded a clean reboot.

What exactly changed in the way the kernel in F7 and F8, I will have to skip F8
if no resolution is available. Would this carry over into F9 release as well?
Comment 11 Bug Zapper 2008-11-26 04:13:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 00:39:30 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.